from pathlib import Path

# Source and header directories
SRC_DIRS = ["src/src", "src/vendor"]
INCLUDE_DIRS = [
    "src/include",
    "src/vendor",
    "src/vendor/imgui",
    "C:/msys64/mingw64/include"
]

# Default library search paths
LIB_DIRS = [
    "C:/msys64/mingw64/lib",
    "C:/Program Files",
    "C:/Program Files (x86)",
    "C:/libs",
]

# Compiler and build options
BUILD_DIR = Path("src/build")
TARGET = BUILD_DIR / "app.exe"
LOG_FILE = Path("./remake/build.log")
CACHE_FILE = Path("./remake/.remake_cache.json")
CXX = "g++"
CXXFLAGS = ["-std=c++20", "-Wall"] + [f"-I{inc}" for inc in INCLUDE_DIRS]

# Libraries and includes to auto-discover
AUTO_LIBS = [
    "glfw3", "glew32", "opengl32", "gdi32",
    "yaml-cpp", "comdlg32", "ssl", "crypto"
]

AUTO_INCLUDES = ["imgui", "yaml-cpp"]
